I tried following the steps on http://wiki.openstreetmap.org/wiki/Nominatim/Installation after installing all prerequisits:

git clone git://github.com/twain47/Nominatim.git

Compile the postgresql module:

cd module
make

Compile the Nominatim tool:

cd nominatim
./autogen.sh
./configure
make

It seemed OK for all the steps until the last make that showed many messages including:

svnversion: command not found ...

What's the problem?

asked 25 May '12, 22:06

TryOSM's gravatar image

TryOSM
4111
accept rate: 0%

edited 25 May '12, 22:55

Gnonthgol's gravatar image

Gnonthgol ♦
13.6k15101198


It seems that you do not have the command 'svnversion' on your system. You can install the package subversion to get it.

I have added git and subversion to the requirements in the installation guide.

permanent link

answered 25 May '12, 23:05

Gnonthgol's gravatar image

Gnonthgol ♦
13.6k15101198
accept rate: 16%

Many thanks, Gnonthgol! I have got subversion installed. Now I still have one problem:

"geos-config: command not found"

Does this mean another package missing?

(28 May '12, 16:31) TryOSM

Yes, you are missing the 'libgeos-dev' package.

You can search for files in all packages at packages.ubuntu.com to find the package that includes the missing file or command.

(28 May '12, 20:14) Gnonthgol ♦

Thank you very much!

(31 May '12, 19:28) TryOSM
Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×549
×53
×14

question asked: 25 May '12, 22:06

question was seen: 4,707 times

last updated: 31 May '12, 19:28

powered by OSQA